OGRE: Ogre::VertexPoseKeyFrame Class Reference - OGRE Documentation

Classes | Public Types | Public Member Functions | Protected Attributes

# Ogre::VertexPoseKeyFrame Class Reference
[Animation]

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexPoseKeyFrame:
[legend]

List of all members.

## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...
## Public Types
typedef vector< PoseRef >::type | PoseRefList
typedef VectorIterator < PoseRefList > | PoseRefIterator
typedef ConstVectorIterator < PoseRefList > | ConstPoseRefIterator
## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexPoseKeyFrame ()
void | addPoseReference (ushort poseIndex, Real influence)
| Add a new pose reference.
void | updatePoseReference (ushort poseIndex, Real influence)
| Update the influence of a pose reference.
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose.
void | removeAllPoseReferences (void)
| Remove all pose references.
const PoseRefList & | getPoseReferences (void) const
| Get a const reference to the list of pose references.
PoseRefIterator | getPoseReferenceIterator (void)
| Get an iterator over the pose references.
ConstPoseRefIterator | getPoseReferenceIterator (void) const
| Get a const iterator over the pose references.
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
PoseRefList | mPoseRefs
Real | mTime
const AnimationTrack * | mParentTrack

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

Definition at line 183 of file OgreKeyFrame.h.

## Member Typedef Documentation

typedef ConstVectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::ConstPoseRefIterator

Definition at line 233 of file OgreKeyFrame.h.

typedef VectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::PoseRefIterator

Definition at line 232 of file OgreKeyFrame.h.

typedef vector<PoseRef>::type Ogre::VertexPoseKeyFrame::PoseRefList

Definition at line 211 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time |
| ) |  |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |

Definition at line 188 of file OgreKeyFrame.h.

## Member Function Documentation

KeyFrame* Ogre::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

Clone a keyframe (internal use only).

Reimplemented from Ogre::KeyFrame.

void Ogre::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | Real | influence |
| ) |  |  |

Add a new pose reference.

See also:
  PoseRef

PoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) |

Get an iterator over the pose references.

ConstPoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) | const

Get a const iterator over the pose references.

const PoseRefList& Ogre::VertexPoseKeyFrame::getPoseReferences | ( | void |  | ) | const

Get a const reference to the list of pose references.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const`[inherited]`

Gets the time of this keyframe in the animation sequence.

Definition at line 65 of file OgreKeyFrame.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::VertexPoseKeyFrame::removeAllPoseReferences | ( | void |  | ) |

Remove all pose references.

void Ogre::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters:

  | poseIndex | The pose index (not the index of the reference)

void Ogre::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | Real | influence |
| ) |  |  |

Update the influence of a pose reference.

See also:
  PoseRef

## Member Data Documentation

const AnimationTrack* Ogre::KeyFrame::mParentTrack`[protected, inherited]`

Definition at line 73 of file OgreKeyFrame.h.

PoseRefList Ogre::VertexPoseKeyFrame::mPoseRefs`[protected]`

Definition at line 245 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime`[protected, inherited]`

Definition at line 72 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56